Skip to content

Get Account Portal

Request

Get a specific portal associated with an account.

Security
HTTPBearer
Path
pocket_idstring, (uuid)(Pocket Id)required
portal_idstring, (uuid)(Portal Id)required
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v2/pockets/{pocket_id}/portals/{portal_id}/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
idstring, (uuid)(Id)required
pocket_idstring, (uuid)(Pocket Id)required
time_createdstring, (date-time)(Time Created)required
namestring(Name)required

Portal name

statusstring(Status)required

Portal status

Enum:"OPEN""CLOSED""PENDING""REJECTED"
typestring(Type)required
Enum:"VIRTUAL_BANK_ACCOUNT_PORTAL""CRYPTO_DEPOSIT_ADDRESS_PORTAL"
Discriminator
Value:"VIRTUAL_BANK_ACCOUNT_PORTAL"
routing_numberstring(Routing Number)required

Routing number

account_numberstring(Account Number)required

Account number

payment_railsArray of strings(Payment Rails)required

Specifies which payment rails (ACH, WIRE, ON_US) are accepted.

Items Enum:"ACH""WIRE""ON_US"
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "pocket_id": "8a7ec6c0-2701-40a1-8954-68870964b50d", "time_created": "2023-01-01T12:00:00Z", "name": "Payroll", "status": "OPEN", "type": "VIRTUAL_BANK_ACCOUNT_PORTAL", "routing_number": "123456789", "account_number": "987654321", "payment_rails": [] } ]